<% content_for :head do %>
  <style>
    body {
      padding-top: 60px;
    }
  </style>
  <script type="text/javascript">
    links = new B4.Collections.Links();
    links.reset(<%= raw @links.to_json %>);
  </script>
<% end %>

<% content_for :sidebar do %>
  <div id="new_link">
  </div>
<% end %>

<% content_for :main do %>
  <div id="page-container" class="row">
    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <a class="brand" href="#">Bookmarks</a>
          <ul class="nav pull-right">
            <form id="navbar-search-form" autocomplete="off" class="pull-left form-search navbar-form">
              <span class="input-append">
                <input type="text" id="navbar-search-input" autocomplete="off" class="search-query span2" placeholder="Search tags">
                <button type="submit" class="btn"><i class="icon-search"></i></button>
              </span>
            </form>
            <li><a type="button" class="pull-right" data-method="delete" href="/users/sign_out" id="logoutbutton">Logout</a></li>
          </ul>
        </div>
      </div>
    </div>
    <div id="lhs" class="span3 well well-small">
      <form id="new_link_form" method='post'>
        <input type="text" name="title" placeholder="Title" />
        <input type="text" name="url" placeholder="URL" />
        <input type="text" name="tags" placeholder="Tags"/>
        <div class="form-actions">
          <input type="submit" class="btn btn-primary" name="submit" value="Add bookmark"/>
        </div>
      </form>
    </div>
    <div class="span4">
    </div>
    <div id="rhs" class="well well-small span6">
      <ul id="links">
      </ul>
    </div>
  </div>
<% end %>
